liborigin 2.0.0

Public Attributes | List of all members
Origin::GraphAxisTick Struct Reference

`#include <OriginObj.h>`

## Public Attributes
unsigned char | color
string | columnName
string | dataName
int | decimalPlaces
bool | fontBold
unsigned short | fontSize
bool | hidden
int | rotation
ValueType | valueType
int | valueTypeSpecification

## Member Data Documentation

## ◆ color

unsigned char Origin::GraphAxisTick::color

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ columnName

string Origin::GraphAxisTick::columnName

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ dataName

string Origin::GraphAxisTick::dataName

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ decimalPlaces

int Origin::GraphAxisTick::decimalPlaces

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ fontBold

bool Origin::GraphAxisTick::fontBold

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ fontSize

unsigned short Origin::GraphAxisTick::fontSize

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ hidden

bool Origin::GraphAxisTick::hidden

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ rotation

int Origin::GraphAxisTick::rotation

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ valueType

ValueType Origin::GraphAxisTick::valueType

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

## ◆ valueTypeSpecification

int Origin::GraphAxisTick::valueTypeSpecification

Referenced by Origin750Parser::readGraphAxisTickLabelsInfo().

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/OriginObj.h